<div
  class="slide-item-container"
  [ngClass]="slide.dataView.deleted ? 'mat-list-item-disabled' : (selectedSlide === slide.id ? 'mat-list-single-selected-option' : '')"
  [appCopyToClipboard]="slide"
  (click)="onSlideSelect($event, slide.id)">
  <div class="grid-container">
    <div class="grid-item  img-min-max">
      <app-slide-image-item
        imageType="thumbnail"
        [slideImage]="slideImage"
        fallbackImage="../assets/fallback.jpg">
      </app-slide-image-item>
    </div>
    <div class="grid-item">
      <div
        class="slide-midi-data-width"
        matTooltip="Name: {{slide?.dataView?.local_id ? slide?.dataView?.local_id : '-'}}&#13;&#10;ID: {{slide?.dataView?.id}}">
        <b>{{(slide?.dataView?.local_id ? slide?.dataView?.local_id : slide?.dataView?.id) | stringSlicer: 25}}</b>
      </div>
      <div
        class="slide-midi-data-width"
        matTooltip="Tissue: {{slide?.dataView?.tissue | dictParser}}">
        <span>{{slide?.dataView?.tissue | dictParser | stringSlicer: 30}}</span>
      </div>
      <div class="slide-midi-data-width data-parent">
        <span matTooltip="Block: {{slide?.dataView?.block}}" class="left-align">{{slide?.dataView?.block | stringSlicer: 16}}</span>
        <span matTooltip="Stain: {{slide?.dataView?.stain | dictParser}}" class="right-align">{{slide?.dataView?.stain | dictParser | stringSlicer: 8}}</span>
      </div>
    </div>
  </div>
</div>
